Module | Sequel::Oracle::DatasetMethods
In: | lib/sequel/adapters/shared/oracle.rb

### Methods

empty? except requires_sql_standard_datetimes? supports_distinct_on? supports_intersect_except_all? supports_timestamp_timezones? supports_window_functions?

### Constants

SELECT_CLAUSE_METHODS | = | Dataset.clause_methods(:select, %w'with distinct columns from join where group having compounds order limit')

### Public Instance methods

empty?()

[Source]

         # File lib/sequel/adapters/shared/oracle.rb, line 108
    108:       def empty?
    109:         db[:dual].where(exists).get(1) == nil
    110:       end

except(dataset, opts={})

Oracle uses MINUS instead of EXCEPT, and doesn‘t support EXCEPT ALL

[Source]

         # File lib/sequel/adapters/shared/oracle.rb, line 102
    102:       def except(dataset, opts={})
    103:         opts = {:all=>opts} unless opts.is_a?(Hash)
    104:         raise(Sequel::Error, "EXCEPT ALL not supported") if opts[:all]
    105:         compound_clone(:minus, dataset, opts)
    106:       end

requires_sql_standard_datetimes?()

Oracle requires SQL standard datetimes

[Source]

         # File lib/sequel/adapters/shared/oracle.rb, line 113
    113:       def requires_sql_standard_datetimes?
    114:         true
    115:       end

supports_distinct_on?()

Oracle does not support DISTINCT ON

[Source]

         # File lib/sequel/adapters/shared/oracle.rb, line 118
    118:       def supports_distinct_on?
    119:         false
    120:       end

supports_intersect_except_all?()

Oracle does not support INTERSECT ALL or EXCEPT ALL

[Source]

         # File lib/sequel/adapters/shared/oracle.rb, line 123
    123:       def supports_intersect_except_all?
    124:         false
    125:       end

supports_timestamp_timezones?()

Oracle supports timezones in literal timestamps.

[Source]

         # File lib/sequel/adapters/shared/oracle.rb, line 128
    128:       def supports_timestamp_timezones?
    129:         true
    130:       end

supports_window_functions?()

Oracle supports window functions

[Source]

         # File lib/sequel/adapters/shared/oracle.rb, line 133
    133:       def supports_window_functions?
    134:         true
    135:       end

[Validate]